Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.ctmc.splitmerge
Class CallCenterCTMCSimSplit

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.app.AbstractContactCenterInfo
          umontreal.iro.lecuyer.contactcenters.app.AbstractContactCenterEval
              umontreal.iro.lecuyer.contactcenters.app.AbstractContactCenterSim
                  umontreal.iro.lecuyer.contactcenters.ctmc.AbstractCallCenterCTMCSim
                      umontreal.iro.lecuyer.contactcenters.ctmc.splitmerge.CallCenterCTMCSimSplit

All Implemented Interfaces:
  ContactCenterEval, ContactCenterInfo, ContactCenterSim, ContactCenterSimWithObservations

    public class CallCenterCTMCSimSplit

extends AbstractCallCenterCTMCSim

Field Summary

Fields inherited from class umontreal.iro.lecuyer.contactcenters.ctmc.AbstractCallCenterCTMCSim
`awt, cc, ccStat, counters, ctmc, mp, rateChange, simParams, trace`

Fields inherited from class umontreal.iro.lecuyer.contactcenters.app.AbstractContactCenterSim
`autoResetStartStream, seqSampEachEval`

Constructor Summary
`CallCenterCTMCSimSplit(CallCenter cc, CTMCRepSimParams simParams, int mp)`
`CallCenterCTMCSimSplit(CallCenter cc, CTMCRepSimParams simParams, int mp, int[] lowerStaffing, int[] upperStaffing)`
`CallCenterCTMCSimSplit(CallCenterParams ccParams, CTMCRepSimParams simParams, int mp)`
`CallCenterCTMCSimSplit(CallCenterParams ccParams, CTMCRepSimParams simParams, RandomStreams streams, int mp)`

Method Summary
`protected void` | `addObs()`
`void` | `formatReport()`
`double` | `getNumExpectedTransitions()`
`List<Replication>` | `getReplications()`
`Set<IntArray>` | `getStaffings()`
`CallCenterStat` | `getStat(int[] staffing)`
`Map<IntArray,CallCenterStat>` | `getStatMap()`
`Tally` | `getStatNumMerge()`
`Tally` | `getStatNumReps()`
`protected void` | `initReplication(RandomStream stream, double timeHorizon, int ntr)`
`static void` | `main(String[] args)`
`void` | `reportSL()`
`void` | `setNoMerge(boolean noMerge)`
`void` | `setStaffing(int[] staffing)`
`void` | `setSubgradientOnly(boolean subgradientOnly)`
`void` | `simulate(RandomStream stream, double timeHorizon, int n)`
`void` | `simulateTransitions(RandomStream stream, int r, double timeHorizon, int ntr)`
`protected static int` | `testMerge(List<Replication> replications)`

Methods inherited from class umontreal.iro.lecuyer.contactcenters.ctmc.AbstractCallCenterCTMCSim
`addTransitionListener, clearTransitionListeners, eval, formatInfo, getAgentGroupName, getAgentGroupProperties, getAWT, getCompletedSteps, getConfidenceLevel, getContactTypeName, getContactTypeProperties, getCTMC, getCTMC, getCurrentPeriod, getDefaultUnit, getEvalOption, getEvalOptions, getMatrixOfAWTName, getMatrixOfStatProbes, getMaxNumAgents, getModel, getNumAgentGroups, getNumContactTypes, getNumFalseTransitions, getNumInContactTypes, getNumMainPeriods, getNumMatricesOfAWT, getNumOutContactTypes, getNumWaitingQueues, getObs, getPerformanceMeasures, getQueueCapacity, getReportParams, getRequiredNewSteps, getStaffing, getStaffingMatrix, getStat, getStatNumFalseTransitions, getTimeHorizon, getTransitionListeners, getWaitingQueueName, getWaitingQueueProperties, hasEvalOption, initStat, initTimer, newSeeds, notifyInit, notifyTransition, numberObs, removeTransitionListener, reset, resetNextSubstream, resetStartStream, resetStartSubstream, seemsUnstable, setConfidenceLevel, setCurrentPeriod, setEvalOption, setMaxNumAgents, setQueueCapacity, setStaffingMatrix, setStat, setTimeHorizon, traceStep`

Methods inherited from class umontreal.iro.lecuyer.contactcenters.app.AbstractContactCenterSim
`formatStatistics, formatStatisticsExcel, formatStatisticsLaTeX, getAutoResetStartStream, getConfidenceInterval, getConfidenceInterval, getMatrixOfFunctionOfMultipleMeansTallies, getMatrixOfTallies, getMax, getMin, getOneSimDone, getPerformanceMeasure, getSeqSampEachEval, getVariance, hasPerformanceMeasure, setAutoResetStartStream, setOneSimDone, setSeqSampEachEval`

Methods inherited from class umontreal.iro.lecuyer.contactcenters.app.AbstractContactCenterEval
`getEvalInfo, isVerbose, setReportParams, setVerbose`

Methods inherited from class umontreal.iro.lecuyer.contactcenters.app.AbstractContactCenterInfo
`getAgentGroupSegmentName, getAgentGroupSegmentProperties, getContactTypeSegmentName, getContactTypeSegmentProperties, getInContactTypeSegmentName, getInContactTypeSegmentProperties, getMainPeriodName, getMainPeriodSegmentName, getNumAgentGroupSegments, getNumAgentGroupsWithSegments, getNumContactTypeSegments, getNumContactTypesWithSegments, getNumInContactTypeSegments, getNumInContactTypesWithSegments, getNumMainPeriodSegments, getNumMainPeriodsWithSegments, getNumOutContactTypeSegments, getNumOutContactTypesWithSegments, getNumWaitingQueueSegments, getNumWaitingQueuesWithSegments, getOutContactTypeSegmentName, getOutContactTypeSegmentProperties, getWaitingQueueSegmentName, getWaitingQueueSegmentProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface umontreal.iro.lecuyer.contactcenters.app.ContactCenterSim
`getAutoResetStartStream, getConfidenceInterval, getMatrixOfFunctionOfMultipleMeansTallies, getMatrixOfTallies, getMax, getMin, getSeqSampEachEval, getVariance, setAutoResetStartStream, setSeqSampEachEval`

Methods inherited from interface umontreal.iro.lecuyer.contactcenters.app.ContactCenterEval
`formatStatistics, formatStatisticsExcel, formatStatisticsLaTeX, getEvalInfo, getPerformanceMeasure, hasPerformanceMeasure, isVerbose, setReportParams, setVerbose`

Methods inherited from interface umontreal.iro.lecuyer.contactcenters.app.ContactCenterInfo
`getAgentGroupSegmentName, getAgentGroupSegmentProperties, getContactTypeSegmentName, getContactTypeSegmentProperties, getInContactTypeSegmentName, getInContactTypeSegmentProperties, getMainPeriodName, getMainPeriodSegmentName, getNumAgentGroupSegments, getNumAgentGroupsWithSegments, getNumContactTypeSegments, getNumContactTypesWithSegments, getNumInContactTypeSegments, getNumInContactTypesWithSegments, getNumMainPeriodSegments, getNumMainPeriodsWithSegments, getNumOutContactTypeSegments, getNumOutContactTypesWithSegments, getNumWaitingQueueSegments, getNumWaitingQueuesWithSegments, getOutContactTypeSegmentName, getOutContactTypeSegmentProperties, getWaitingQueueSegmentName, getWaitingQueueSegmentProperties`

Constructor Detail

### CallCenterCTMCSimSplit

    public CallCenterCTMCSimSplit(CallCenter cc,
                                  CTMCRepSimParams simParams,
                                  int mp)
                           throws CTMCCreationException

Throws:
  `CTMCCreationException`

### CallCenterCTMCSimSplit

    public CallCenterCTMCSimSplit(CallCenter cc,
                                  CTMCRepSimParams simParams,
                                  int mp,
                                  int[] lowerStaffing,
                                  int[] upperStaffing)
                           throws CTMCCreationException

Throws:
  `CTMCCreationException`

### CallCenterCTMCSimSplit

    public CallCenterCTMCSimSplit(CallCenterParams ccParams,
                                  CTMCRepSimParams simParams,
                                  int mp)
                           throws CallCenterCreationException,
                                  CTMCCreationException

Throws:
  `CallCenterCreationException`
  `CTMCCreationException`

### CallCenterCTMCSimSplit

    public CallCenterCTMCSimSplit(CallCenterParams ccParams,
                                  CTMCRepSimParams simParams,
                                  RandomStreams streams,
                                  int mp)
                           throws CallCenterCreationException,
                                  CTMCCreationException

Throws:
  `CallCenterCreationException`
  `CTMCCreationException`

Method Detail

### setNoMerge

    public void setNoMerge(boolean noMerge)

### setSubgradientOnly

    public void setSubgradientOnly(boolean subgradientOnly)

### getStatNumReps

    public Tally getStatNumReps()

### getStatNumMerge

    public Tally getStatNumMerge()

### getReplications

    public List<Replication> getReplications()

### addObs

    protected void addObs()

  Overrides:
    `addObs` in class `AbstractCallCenterCTMCSim`

### getNumExpectedTransitions

    public double getNumExpectedTransitions()

  Specified by:
    `getNumExpectedTransitions` in class `AbstractCallCenterCTMCSim`

### getStaffings

    public Set<IntArray> getStaffings()

### getStatMap

    public Map<IntArray,CallCenterStat> getStatMap()

### getStat

    public CallCenterStat getStat(int[] staffing)

### setStaffing

    public void setStaffing(int[] staffing)

  Overrides:
    `setStaffing` in class `AbstractCallCenterCTMCSim`

### formatReport

    public void formatReport()

  Overrides:
    `formatReport` in class `AbstractCallCenterCTMCSim`

### initReplication

    protected void initReplication(RandomStream stream,
                                   double timeHorizon,
                                   int ntr)

  Overrides:
    `initReplication` in class `AbstractCallCenterCTMCSim`

### simulateTransitions

    public void simulateTransitions(RandomStream stream,
                                    int r,
                                    double timeHorizon,
                                    int ntr)

### testMerge

    protected static int testMerge(List<Replication> replications)

### simulate

    public void simulate(RandomStream stream,
                         double timeHorizon,
                         int n)

  Specified by:
    `simulate` in class `AbstractCallCenterCTMCSim`

### reportSL

    public void reportSL()

### main

    public static void main(String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.